List Workspace Members
curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "e5f6a7b8-c9d0-4123-8efa-456789012345",
"workspace_id": "2b6c1f6e-3a7d-4c8e-9d0a-5e4f3a2b1c00",
"member_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"member_type": "user",
"grant_type": "direct",
"group_id": null,
"group_name": null,
"added_at": "2026-06-01T12:00:00Z",
"added_by": "00000000-0000-0000-0000-000000000001"
}
],
"limit": 20,
"next_cursor": null
}{
"error": {
"code": "WORKSPACE_NOT_FOUND",
"message": "The specified workspace does not exist."
}
}Workspaces
List Workspace Members
List all effective members of a workspace, including directly added members and members derived from group membership.
GET
/
workspaces
/
{id}
/
members
List Workspace Members
curl --request GET \
--url https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.cdata.com/api/v1/admin/workspaces/{id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "e5f6a7b8-c9d0-4123-8efa-456789012345",
"workspace_id": "2b6c1f6e-3a7d-4c8e-9d0a-5e4f3a2b1c00",
"member_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"member_type": "user",
"grant_type": "direct",
"group_id": null,
"group_name": null,
"added_at": "2026-06-01T12:00:00Z",
"added_by": "00000000-0000-0000-0000-000000000001"
}
],
"limit": 20,
"next_cursor": null
}{
"error": {
"code": "WORKSPACE_NOT_FOUND",
"message": "The specified workspace does not exist."
}
}Authorizations
oauth2basicAuth
OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).
Scopes
management:workspaces:read
Read access to workspace resources.
Path Parameters
Workspace identifier (UUID).
Query Parameters
Filter by member type.
Available options:
user, service_account, group Filter by how the member gained access. Use direct for a direct-members-only view.
Available options:
direct, group_derived Maximum number of items to return. Default 20, maximum 100.
Required range:
x <= 100Pagination cursor from next_cursor in the previous response. Omit to start from the beginning.
Last modified on November 12, 2026
Was this page helpful?